<?php
if ( function_exists('register_sidebar') )
	register_sidebar(array(
		'before_widget' => '<div class="widgsect">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));

function orgp_randhead($folder = 'headers') {
   $fp_header_folder = TEMPLATEPATH . '/' . $folder . '/';
   $fp_handle = opendir($fp_header_folder);
   $fp_list_array = array();
   while (false !== ($fp_folder_contents = readdir($fp_handle))) {
      if (substr($fp_folder_contents,-3) == 'jpg' || substr($fp_folder_contents,-3) == 'JPG') {
         $fp_list_array[] = $fp_folder_contents;
      }
   }
   @closedir($fp_handle);
   $fp_list_count = count($fp_list_array);
   if ($fp_list_count == 0) {
      return FALSE;
   } elseif ($fp_list_count == 1 ) {
      echo $folder . '/' . $fp_list_array[0];
   } elseif ($fp_list_count > 1) {
      $fp_rand = rand(0,($fp_list_count-1));
      echo $folder . '/' . $fp_list_array[$fp_rand];
   }
}

function orgp_recent_comment($id) {
	global $wpdb;
	$comments = $wpdb->get_results("SELECT * FROM $wpdb->comments WHERE comment_approved = '1' AND comment_post_id = $id ORDER BY comment_date_gmt DESC LIMIT 1");
	if ($comments) {
		foreach ($comments as $comment) {
			$permalink = get_comment_link($comment->comment_ID);
			return $permalink;
		}
	} else {
		return FALSE;
	}
}

add_action('admin_menu', 'orgp_add_theme_page');

function orgp_add_theme_page() {
	add_theme_page(__('Customize Theme'), __('Customize Theme'), 'edit_themes', basename(__FILE__), 'orgp_theme_page');
}

function orgp_theme_page() {
	$orgp_options = array();
	if (get_option('orgp_options')) {
		$orgp_options = get_option('orgp_options');
	}

	if ($orgp_options['title_yes'] != '0' && $pp_options['title_yes'] != '1') {
		$orgp_options['title_yes'] = '1';
	}
	if ($orgp_options['rand_yes'] != '0' && $pp_options['title_yes'] != '1') {
		$orgp_options['rand_yes'] = '1';
	}
   if ($orgp_options['login_form'] != '0' && $pp_options['login_form'] != '1') {
      $orgp_options['login_form'] = '1';
   }
	echo '
<div class="wrap">
';
   if (isset($_POST['orgp_update'])) {
      $orgp_updated_options = array();
      $orgp_updated_options = $_POST;
      add_option('orgp_options');
      update_option('orgp_options', $orgp_updated_options);
      $orgp_options = get_option('orgp_options');
		echo '<div class="updated">' . __('Theme options updated.','orgp') . '</div>';
	}

	echo '
	<h2>Customize Theme</h2>
	<form name="orgp_update" method="post" action="">
	<input type="hidden" name="orgp_update" value="1" />
	<table class="form-table">

	<tr>
		<th scope="row">Display blog title and description</th>
		<td>
			<label><input name="title_yes" type="radio" value="1" ';
         if ($orgp_options['title_yes'] == '1') {echo 'checked="checked" ';}
         echo '/> ' . __('Yes','orgp') . '</label><br />
         <label><input name="title_yes" type="radio" value="0" ';
         if ($orgp_options['title_yes'] == '0') {echo 'checked="checked" ';}
         echo ' /> ' . __('No','orgp') . '</label>
		</td>
	</tr>
   <tr>
      <th scope="row">Display sidebar login form</th>
      <td>
         <label><input name="login_form" type="radio" value="1" ';
         if ($orgp_options['login_form'] == '1') {echo 'checked="checked" ';}
         echo '/> ' . __('Yes','orgp') . '</label><br />
         <label><input name="login_form" type="radio" value="0" ';
         if ($orgp_options['login_form'] == '0') {echo 'checked="checked" ';}
         echo ' /> ' . __('No','orgp') . '</label>
      </td>
   </tr>

	<tr>
		<th scope="row">Random or fixed header</th>
		<td>
			<fieldset><legend class="hidden">Random or fixed header</legend>
			<label><input name="rand_yes" type="radio" value="1" ';
			if ($orgp_options['rand_yes'] == '1') {echo 'checked="checked" ';}
				echo '/> ' . __('Random','orgp') . '</label><br />
			<label><input name="rand_yes" type="radio" value="0" ';
			if ($orgp_options['rand_yes'] == '0') {echo 'checked="checked" ';}
				echo ' /> ' . __('Fixed','orgp') . '</label>
			<p>Place random headers in the <strong>headers</strong> folder. Replace <strong>masthead.jpg</strong> for a custom fixed header.</p>
			</fieldset>
		</td>
	</tr>
	</table>

	<p class="submit"><input type="submit" name="Submit" value="' . __('Update Options &raquo;','orgp') . '" /></p>
	</form>
</div>
';
}

function orgp_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
      <div class="comment-author vcard">
         <?php echo get_avatar($comment,$size='48'); ?>

         <?php printf(__('<cite class="fn">%s</cite> <span class="says">says:</span>'), get_comment_author_link()) ?>
      </div>
      <?php if ($comment->comment_approved == '0') : ?>
         <em><?php _e('Your comment is awaiting moderation.') ?></em>
         <br />
      <?php endif; ?>

      <div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link(__('(Edit)'),'  ','') ?></div>

      <?php comment_text() ?>

      <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('reply_text' => 'Reply to this comment', 'depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>
     </div>
<?php
        }

?>
